export declare const loadingProps: {
    type: {
        type: StringConstructor;
        validator: (value: string) => boolean;
    };
    loadtext: {
        type: StringConstructor;
        default: () => string;
    };
    _constants: {
        type: ObjectConstructor;
        default: () => {
            TEXT_ATTR: string;
            IS_FULLSCREEN_CLS: string;
            TEXT_SPINNER: string;
            TEXT_BACKGROUND: string;
            TEXT_CUSTOM_CLS: string;
            PARENT_HIDDEN_CLS: string;
            PARENT_RELATIVE_CLS: string;
            LOAD_ICON_TEXT: string;
        };
    };
    tiny_mode: StringConstructor;
    tiny_mode_root: BooleanConstructor;
    tiny_template: (ObjectConstructor | FunctionConstructor)[];
    tiny_renderless: FunctionConstructor;
    tiny_theme: StringConstructor;
    tiny_chart_theme: ObjectConstructor;
};
declare const _default: any;
export default _default;
